Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsurveyor
Class TestOrDie

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jsurveyor.TestOrDie

All Implemented Interfaces:
  junit.framework.Test

public class TestOrDie
extends junit.framework.TestCase

Junit test.

Version:
  1.0
Author:
  Claus Methmann Christensen, Anders Spliid Hansen, Esben Iversen Hansen, Lars H Jensen, Marcus Overheu, Thomas Ramdal, Peter Thomsen

Constructor Summary
`TestOrDie()`

Method Summary
`static void` | `main(java.lang.String[] args)` Method main
`static junit.framework.Test` | `suite()` Method suite
`void` | `testAnswer()` Method testAnswer
`void` | `testEvaluation()`
`void` | `testQuestion()`
`void` | `testQuestionnaire()`
`void` | `testReport()` Method testReport
`void` | `testUser()`
`void` | `testUserGroupsStorage()` Method testUserGroupsStorage exercises UserGroup storage & adding and removing childrens and parents

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestOrDie

    public TestOrDie()

Method Detail

### testUserGroupsStorage

    public void testUserGroupsStorage()

  Method testUserGroupsStorage exercises UserGroup storage & adding and removing childrens and parents

### testAnswer

    public void testAnswer()

  Method testAnswer

### testUser

    public void testUser()
                  throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### testQuestion

    public void testQuestion()

### testEvaluation

    public void testEvaluation()

### testQuestionnaire

    public void testQuestionnaire()

### testReport

    public void testReport()

  Method testReport

### main

    public static void main(java.lang.String[] args)

  Method main

  Parameters:
    `args` - String[]

### suite

    public static junit.framework.Test suite()

  Method suite

  Returns:
    Test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD